Skip to main content
GET
/
api
/
v1
/
artifacts
/
{artifact_id}
/
versions
List all versions of this artifact seen across the org, with consumer counts.
curl --request GET \
  --url https://api.example.com/api/v1/artifacts/{artifact_id}/versions \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.example.com/api/v1/artifacts/{artifact_id}/versions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.example.com/api/v1/artifacts/{artifact_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "consumer_count": 123,
    "version_constraint": "<string>",
    "version_constraint_state": "absent"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

X-API-Key
string
header
required

Headers

X-Workspace-Id
string | null

Path Parameters

artifact_id
string<uuid>
required

Cookies

riftmap_access
string | null

Response

Successful Response

consumer_count
integer
required
version_constraint
string | null
required
version_constraint_state
string
default:absent